---
colors:
  darkDarkBlue: 0x1B1E26
  darkLightBlue: 0x333A4A
  white: 0xF4F5FA
  darkBlue: 0x242934
  lighterDarkBlue: 0xDFE4F7
  lightBlue: 0xEDF0FD

themes:
  name: Synergy
  dark:
    colors:
      background: 0x1B1E26
      header: 0x1B1E26
      userBubble: 0x333A4A
      peerBubble: 0x242934
      font: 0xF4F5FA
      settings: 0xF4F5FA
      accent: 0x2e4c9e
      reaction: 0x3B5590
    theme:
      backgroundHilightElementColor: darkLightBlue
      backgroundMainColor: background
      backgroundPaneColor: header
      defaultButtonColor: accent
      dropShadowColor: darkBlue
      mainTextColor: font
      hilightElementColor: font
      messageFromMeBackgroundColor: userBubble
      messageFromMeTextColor: font
      messageFromOtherBackgroundColor: peerBubble
      messageFromOtherTextColor: font
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0xF4F5FA
      portraitProfileBadgeColor: accent
      portraitOfflineBorderColor: 0x96A5D4
      portraitOnlineBorderColor: font
      portraitBackgroundColor: peerBubble
      scrollbarDefaultColor: darkLightBlue
      sendHintTextColor: userBubble
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: userBubble
      textfieldHintColor: font
      toolbarIconColor: settings
      toolbarBackgroundColor: accent
      topbarColor: header
      chatReactionIconColor: reaction
      chatImageColor: userBubble
      snackbarBackgroundColor: accent
      snackbarTextColor: font
      messageSelectionColor: accent
      textfieldSelectionColor: accent
      menuBackgroundColor: accent
  light:
    colors:
      background: 0xF4F5FA
      header: 0xF4F5FA
      userBubble: 0xDFE5FB
      peerBubble: 0xEDF0FD
      font: 0x1B1E26
      settings: 0x1B1E26
      accent: 0x2E4C9E
      reaction: 0xB4C6F8
    theme:
      backgroundHilightElementColor: peerBubble
      hilightElementColor: font
      backgroundMainColor: background
      backgroundPaneColor: background
      defaultButtonColor: accent
      defaultButtonActiveColor: lighterDarkBlue
      defaultButtonDisabledColor: userBubble
      dropShadowColor: darkBlue
      mainTextColor: font
      messageFromMeBackgroundColor: userBubble
      messageFromMeTextColor: font
      messageFromOtherBackgroundColor: peerBubble
      messageFromOtherTextColor: font
      portraitContactBadgeColor: accent
      portraitOfflineBorderColor: reaction
      portraitOnlineBorderColor: font
      portraitBackgroundColor: peerBubble
      scrollbarDefaultColor: accent
      sendHintTextColor: peerBubble
      textfieldBackgroundColor: peerBubble
      textfieldBorderColor: userBubble
      textfieldHintColor: font
      toolbarIconColor: 0xF4F5FA
      toolbarBackgroundColor: accent
      topbarColor: header
      chatReactionIconColor: reaction
      snackbarBackgroundColor: accent
      snackbarTextColor: background
      messageSelectionColor: reaction
      textfieldSelectionColor: reaction
      menuBackgroundColor: reaction